/*
 *  Copyright (c) 1996-2007 Digi International Inc., All Rights Reserved
 *
 *  This software contains proprietary and confidential information of Digi
 *  International Inc.  By accepting transfer of this copy, Recipient agrees
 *  to retain this software in confidence, to prevent disclosure to others,
 *  and to make no use of this software other than that for which it was
 *  delivered.  This is an unpublished copyrighted work of Digi International
 *  Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
 *  prohibited.
 *
 *  Restricted Rights Legend
 *
 *  Use, duplication, or disclosure by the Government is subject to
 *  restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
 *  Technical Data and Computer Software clause at DFARS 252.227-7031 or
 *  subparagraphs (c)(1) and (2) of the Commercial Computer Software -
 *  Restricted Rights at 48 CFR 52.227-19, as applicable.
 *
 *  Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
 *
 *  ====================================================================
 *  This file contains the definitions for global IP configuration.
 * 07/24/03      JZW              Changed set functions to return return values
 *
 */

#ifndef naip_global_h
#define naip_global_h

#include <time.h>
#include "Npttypes.h"

#ifdef __cplusplus
extern "C"
{
#endif

BOOLEAN NAIpSetDefaultIpTtl(WORD8  default_ttl);
WORD8   NAIpGetDefaultIpTtl(void);
int     NAIpSetKaInterval(unsigned short  ka_interval);
unsigned short  NAIpGetKaInterval(void);
void    NAIpSetIpForwarding(BOOLEAN  ip_forwarding);
BOOLEAN NAIpGetIpForwarding(void);
int     NAIpSetTcpMsl(unsigned int tcp_msl);
unsigned int NAIpGetTcpMsl(void);
void NAIpEnableIcmpRouterDiscovery(BOOLEAN  perform_router_discovery);
void NATcpipSetMaxHeapLimit(const unsigned int max_heap);
unsigned int NATcpipGetHeapLimit(void);
unsigned int NATcpipGetCurrentHeapUsage(void);

#ifdef __cplusplus
}
#endif
#endif



